summaryrefslogtreecommitdiffstats
path: root/target/linux/ar71xx/base-files/lib/preinit/82_patch_ath10k
diff options
context:
space:
mode:
authorImre Kaloz <kaloz@openwrt.org>2014-11-27 14:27:34 +0000
committerImre Kaloz <kaloz@openwrt.org>2014-11-27 14:27:34 +0000
commit974f286261065f972e4af9065e84e5a8c94942cc (patch)
treea5359120715ed556e5a9f3fe8dd5caf940b5aa25 /target/linux/ar71xx/base-files/lib/preinit/82_patch_ath10k
parent200c30b42602a4e1e9444942ea0dc5006f272b8c (diff)
downloadmaster-31e0f0ae-974f286261065f972e4af9065e84e5a8c94942cc.tar.gz
master-31e0f0ae-974f286261065f972e4af9065e84e5a8c94942cc.tar.bz2
master-31e0f0ae-974f286261065f972e4af9065e84e5a8c94942cc.zip
add D-link DGL-5500 A1 support
Signed-off-by: Imre Kaloz <kaloz@openwrt.org> SVN-Revision: 43401
Diffstat (limited to 'target/linux/ar71xx/base-files/lib/preinit/82_patch_ath10k')
-rw-r--r--target/linux/ar71xx/base-files/lib/preinit/82_patch_ath10k37
1 files changed, 37 insertions, 0 deletions
diff --git a/target/linux/ar71xx/base-files/lib/preinit/82_patch_ath10k b/target/linux/ar71xx/base-files/lib/preinit/82_patch_ath10k
new file mode 100644
index 0000000000..c5c60efd57
--- /dev/null
+++ b/target/linux/ar71xx/base-files/lib/preinit/82_patch_ath10k
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+. /lib/functions/system.sh
+. /lib/ar71xx.sh
+
+firmware_file="/lib/firmware/ath10k/QCA988X/hw2.0/firmware-3.bin"
+firmware_md5_orig="5163aa8de591f80b06c77f22e9777473"
+firmware_md5_current="$(md5sum $firmware_file)"
+firmware_md5_current="${firmware_md5_current%% *}"
+
+
+do_patch_ath10k_firmware() {
+ # verify md5sum before patching
+ [ "firmware_md5_orig" != "firmware_md5_current" ] || {
+ return
+ }
+
+ # some boards have bogus mac in otp, patch the default mac in the firmware
+ case $(ar71xx_board_name) in
+ dgl-5500-a1)
+ local mac
+ mac=$(mtd_get_mac_ascii nvram wlan1_mac)
+
+ cp $firmware_file /tmp/ath10k-firmware.bin
+ macaddr_2bin $mac | dd of=/tmp/ath10k-firmware.bin \
+ conv=notrunc bs=1 seek=280 count=6
+
+ ;;
+ esac
+ [ -f /tmp/ath10k-firmware.bin ] || {
+ return
+ }
+ cp /tmp/ath10k-firmware.bin $firmware_file
+ rm /tmp/ath10k-firmware.bin
+}
+
+boot_hook_add preinit_main do_patch_ath10k_firmware